#
# spec file for package rubygem-packaging_rake_tasks
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-packaging_rake_tasks
Version:        1.2.1
Release:        2.3
%define mod_name packaging_rake_tasks
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://github.org/openSUSE/packaging_tasks
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Rake tasks providing tasks to package project in git and integration
License:        LGPL-2.1
Group:          Development/Languages/Ruby

%description
Rake tasks to allow easy packaging ruby projects in git for Build Service or
other packaging service.

%prep

%build

%install
%gem_install \
  --doc-files="COPYING" \
  -f

%gem_packages

%changelog
* Fri Apr  1 2016 mvidner@suse.com
- Fixed snapper submission (bsc#973607)
  - check:changelog only before osc:sr
  - check:changelog depends on package, not the reverse
- 1.2.1
* Thu Mar 17 2016 igonzalezsosa@suse.com
- Avoid checking for bug IDs when obs_sr_project is not defined
  (bnc#0)
- 1.2.0
* Thu Mar 17 2016 igonzalezsosa@suse.com
- When checking for bug IDs in *.changes, diff against
  obs_sr_project, not obs_project, to be consistent with the
  version checker (bnc#0)
- 1.1.5
* Wed Mar  9 2016 schubi@suse.de
- Checking *.changes file for new bugzilla, fate,... IDs before
  packaging.
  (bnc#0)
- 1.1.4
* Thu May 14 2015 coolo@suse.com
- adapt to new rubygem packaging
* Thu May 14 2015 jreidinger@suse.com
- Do not crash if tarball have different name in devel project
- 1.1.3
* Tue Apr 28 2015 jreidinger@suse.com
- stop osc commit if there is no change
- 1.1.2
* Thu Nov 13 2014 lslezak@suse.cz
- additionally report warnings in the "check:syntax" task
- 1.1.1
* Mon Oct  6 2014 jreidinger@suse.com
- Add configuration option for maintenance mode, which allows to
  create maintenance requests instead of pull requests
- use new ruby packaging schema for rpm spec
- 1.1.0
* Wed Apr 23 2014 mvidner@suse.com
- Always pass the conf.obs_api parameter so that osc does not
  ask about a login to api.opensuse.org.
- 1.0.16
* Fri Feb 21 2014 mvidner@suse.com
- Fix submit request version message if there is more than one
  spec file
- 1.0.15
* Wed Feb  5 2014 jreidinger@suse.com
- pipe `yes` to osc build to automatic rebuild broken build root
- reduce long changelog to prevent too long URI error with osc
  commit
- 1.0.14
* Fri Jan 17 2014 jreidinger@suse.com
- Fix reading file on target BS if server is not OBS
- 1.0.13
* Wed Jan  8 2014 jreidinger@suse.com
- Fix submit request version comparison if there is more then one
  spec file
- 1.0.12
* Fri Nov 15 2013 jreidinger@suse.com
- workaround osc interactive superseed (gh#opensuse/osc#58)
- 1.0.11
* Fri Nov 15 2013 jreidinger@suse.com
- fix typo
- 1.0.10
* Fri Nov 15 2013 jreidinger@suse.com
- specify to have osc sr always non-interactive
- 1.0.9
* Wed Nov 13 2013 jreidinger@suse.com
- Fix osc sr to use proper version change detection
- 1.0.8
* Wed Nov 13 2013 jreidinger@suse.com
- Always pass message to osc sr otherwise it stuck in editor
- 1.0.7
* Fri Nov  8 2013 jreidinger@suse.com
- Do not check documentation files for license
- 1.0.6
* Tue Oct 15 2013 mvidner@suse.com
- Optional argument osc_options for `rake osc:build`
- 1.0.5
* Wed Oct  9 2013 jreidinger@suse.com
- Read all ruby files in UTF-8
- Improve reporting of different enconding
- 1.0.4
* Tue Oct  8 2013 jreidinger@suse.com
- Do not use locally build rpms to get persistent results
- 1.0.3
* Wed Oct  2 2013 jreidinger@suse.com
- Skip rspec files (detected by /#!.*rspec/ regexp) for ruby syntax
  check
- 1.0.2
* Mon Sep 30 2013 jreidinger@suse.com
- fix reading version file if it contain more empty lines
- 1.0.1
* Tue Sep 24 2013 jreidinger@suse.com
- Big cleaning of tasks, backward incompatible
- improve documentation
- 1.0.0
* Mon Jan 23 2012 jreidinger@suse.com
- skip in license check all non-regular files
- 0.1.8
* Wed Dec 21 2011 jreidinger@suse.com
- add correct provisions/obsoletes for old name, fix license string
- add ability to pack generated file
- 0.1.7
* Wed Dec 14 2011 jreidinger@suse.com
- fix excluding packages for user defined one
- 0.1.6
* Mon Dec 12 2011 jreidinger@suse.com
- add configuration to additional files to skip license check
- 0.1.5
* Mon Dec 12 2011 jreidinger@suse.com
- fix osc_build
- 0.1.4
* Thu Dec  8 2011 jreidinger@suse.com
- fix removing old package tarballs when version increase
- 0.1.3
* Mon Dec  5 2011 jreidinger@suse.com
- rename to rubygem-packaging_rake_tasks
- fixes for different obs_api
- 0.1.2
* Tue Aug 30 2011 jreidinger@suse.com
- various fixes, mainly showstoppers
- 0.1.1
* Tue Aug 16 2011 jreidinger@novell.com
- initial version based on webyast rake tasks
- 0.1.0
